VMTKLINEARTOQUADRATIC(1)

NAME
vmtklineartoquadratic - vmtk script vmtklineartoquadratic

DESCRIPTION
Automatic piping vmtklineartoquadratic Parsing options vmtklineartoquadratic

vmtklineartoquadratic : convert the elements of a mesh from linear to

    quadratic

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-r Surface (vtkPolyData,1): the reference surface to project nodes

    onto

-rfile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-mode Mode (str,1) in ['volume', 'surface']; default=volume: kind

    of elements to work with

-biquadraticwedge UseBiquadraticWedge (bool,1); default=True: if

    on, convert linear wedges to 18-noded biquadratic quadratic wedges, otherwise use 15-noded quadratic wedges

-capsurface CapSurface (bool,1); default=False: if on, cap the

    reference surface before projecting

-entityidsarray CellEntityIdsArrayName (str,1); default=None: name

    of the array where entity ids relative to cells are stored

-jacobianrelaxation JacobianRelaxation (bool,1); default=0: if on,

    relax projected nodes until Jacobians are all positive

-projectedid ProjectedCellEntityId (int,1); default=1: id of the

    entity that is to be projected onto the reference surface

-quadratureorder QuadratureOrder (int,1); default=10: quadrature

    order for checking negative Jacobians

-jacobiantolerance NegativeJacobianTolerance (float,1);

    default=0.0: tolerance for the evaluation of negative Jacobians

-subdivisionmethod SubdivisionMethod (str,1) in ['linear',

    'butterfly']; default=linear: subdivision method for surface elements

-hexahedranodes NumberOfNodesHexahedra (int,1); default=27: Output

    hexahedral element type by # of nodes: 20 or 27 (see vtkQuadraticHexahedron and vtkTriQuadraticHexahedron classes in VTK documentation)

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh